Debian Bug report logs - #495815
eterm terminfo incorrect information

version graph

Package: eterm; Maintainer for eterm is Debian QA Group <packages@qa.debian.org>; Source for eterm is src:eterm.

Reported by: "W W" <srilyk@gmail.com>

Date: Wed, 20 Aug 2008 16:27:01 UTC

Severity: normal

Found in version 0.9.4.0debian1

Fixed in version ncurses/5.6+20080823-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ljlane@debian.org (Laurence J. Lane):
Bug#495815; Package eterm. Full text and rfc822 format available.

Acknowledgement sent to "W W" <srilyk@gmail.com>:
New Bug report received and forwarded. Copy sent to ljlane@debian.org (Laurence J. Lane). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W W" <srilyk@gmail.com>
To: submit@bugs.debian.org
Subject: eterm terminfo incorrect information
Date: Wed, 20 Aug 2008 11:24:48 -0500
[Message part 1 (text/plain, inline)]
Package: eterm
Version: 0.9.4.0debian1

I'm not sure if Eterm is responsible for the terminfo files, but I'm unable
to find any helpful information that suggests how to fix this.

Eterm plainly handles 256 colors (I've run several tests, Eterm accepts the
command line -f rgb:ff/cc/00 or any other value), yet the terminfo file
lies:

wayne@media-box:~$ echo $TERM
Eterm-color
wayne@media-box:~$ tput colors
8

If eterm can handle colors like I know it can, it should reflect that in the
terminfo file.
Thanks,
Wayne
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, ljlane@debian.org (Laurence J. Lane):
Bug#495815; Package eterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to ljlane@debian.org (Laurence J. Lane). Full text and rfc822 format available.

Message #10 received at 495815@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: W W <srilyk@gmail.com>, 495815@bugs.debian.org
Subject: Re: Bug#495815: eterm terminfo incorrect information
Date: Thu, 21 Aug 2008 09:27:18 -0400
[Message part 1 (text/plain, inline)]
On Wed, Aug 20, 2008 at 06:40:19PM +0200, W W wrote:
> Package: eterm
> Version: 0.9.4.0debian1
> 
> I'm not sure if Eterm is responsible for the terminfo files, but I'm unable
> to find any helpful information that suggests how to fix this.
> 
> Eterm plainly handles 256 colors (I've run several tests, Eterm accepts the
> command line -f rgb:ff/cc/00 or any other value), yet the terminfo file
> lies:

Actually that (the -f option) is an incorrect test of the feature.

Eterm's changelog does mention the change:

	----------------------------------------------------------------------
	Mon Apr 18 18:00:17 2005                        Michael Jennings (mej)

	Applied a patch from Fredrik Svensson <fred@ludd.ltu.se> for 256-color
	support (a la xterm).  I also renamed and imported a couple of his
	test scripts into utils/, and in playing around with them, I found and
	fixed an X server resource leak.  Use Etpalette to view the 256-color
	palette.

The appropriate change to ncurses (if Eterm does not supply the data)
would be to add an "Eterm-256color" entry.
 
> wayne@media-box:~$ echo $TERM
> Eterm-color
> wayne@media-box:~$ tput colors
> 8
> 
> If eterm can handle colors like I know it can, it should reflect that in the
> terminfo file.
> Thanks,
> Wayne

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "W W" <srilyk@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 495815-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 495815-close@bugs.debian.org
Subject: Bug#495815: fixed in ncurses 5.6+20080823-1
Date: Mon, 25 Aug 2008 00:02:06 +0000
Source: ncurses
Source-Version: 5.6+20080823-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.6+20080823-1_i386.deb
lib64ncurses5_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.6+20080823-1_i386.deb
libncurses5-dbg_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.6+20080823-1_i386.deb
libncurses5-dev_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.6+20080823-1_i386.deb
libncurses5_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.6+20080823-1_i386.deb
libncursesw5-dbg_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.6+20080823-1_i386.deb
libncursesw5-dev_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.6+20080823-1_i386.deb
libncursesw5_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.6+20080823-1_i386.deb
ncurses-base_5.6+20080823-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.6+20080823-1_all.deb
ncurses-bin_5.6+20080823-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.6+20080823-1_i386.deb
ncurses-term_5.6+20080823-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.6+20080823-1_all.deb
ncurses_5.6+20080823-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.6+20080823-1.diff.gz
ncurses_5.6+20080823-1.dsc
  to pool/main/n/ncurses/ncurses_5.6+20080823-1.dsc
ncurses_5.6+20080823.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.6+20080823.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 495815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Aug 2008 01:42:00 +0200
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source i386 all
Version: 5.6+20080823-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 495815
Changes: 
 ncurses (5.6+20080823-1) unstable; urgency=low
 .
   * Merging upstream version 5.6+20080823:
     - Adds Eterm-256color terminal (Closes: #495815).
Checksums-Sha1: 
 fa5d47131ebbbb9590bae8e81758da74d6b38650 1503 ncurses_5.6+20080823-1.dsc
 60b3e5507dcc2fea4fdb47771395221f9848baf4 2481139 ncurses_5.6+20080823.orig.tar.gz
 6bd2aaff5c170781fa8a4bd8e3bf2bd3f1913db0 38668 ncurses_5.6+20080823-1.diff.gz
 1cca3f091f279530423a6da674fc663374dd13e8 332340 libncurses5_5.6+20080823-1_i386.deb
 369afb09c1050f70b40baddb14b0b234c987e952 1522092 libncurses5-dev_5.6+20080823-1_i386.deb
 29f6703649818b88363b3aa570361b577767a3f6 1638110 libncurses5-dbg_5.6+20080823-1_i386.deb
 9f6ac88dcdcde0715a736865980435f19428ea41 355496 libncursesw5_5.6+20080823-1_i386.deb
 0ebf20aa81388b0254b570aa5065f9236ef470fc 473498 libncursesw5-dev_5.6+20080823-1_i386.deb
 9802bbfb45234d558ef2a4c28dff94f543381752 1849676 libncursesw5-dbg_5.6+20080823-1_i386.deb
 76215dae1765ad14be7b753e97b39b6d507b8845 346238 lib64ncurses5_5.6+20080823-1_i386.deb
 f7a1cc7b342546fcc1f132f22f465ce591c6cc6e 413052 lib64ncurses5-dev_5.6+20080823-1_i386.deb
 92a71b6e9948a66c8d5429b66d47873b6d062854 134918 ncurses-bin_5.6+20080823-1_i386.deb
 6105d3e8cdd7bb3763e99d04ce219d66d7015402 13694 ncurses-base_5.6+20080823-1_all.deb
 f5d7e2e3e1c35b370e30f4fd28aa759f4d62a7bf 351346 ncurses-term_5.6+20080823-1_all.deb
Checksums-Sha256: 
 7535e41f6c02bb880c59d630176c763f6b475cf26fdac438806fb955901d0a19 1503 ncurses_5.6+20080823-1.dsc
 6634e14ccc3429d81529e37aaf0f72bc0cf5f1be21cf17d28ea57855982f975a 2481139 ncurses_5.6+20080823.orig.tar.gz
 c1601821875380007ff73a9e16c5cd9f787e97ea392ee155a3ae6095ff9d3b34 38668 ncurses_5.6+20080823-1.diff.gz
 bddbc3b6611885176a23e74cc63934ec98a809c78e8a8566e1ab8968d5f63c4e 332340 libncurses5_5.6+20080823-1_i386.deb
 b1ec9b86f1f0ab89e85fc4f8a081e5bbe74b222bd377ee810eef683afcef1d73 1522092 libncurses5-dev_5.6+20080823-1_i386.deb
 50ffa86b640d54414ca6524277247dc51d7b0b30ca808f96e4f7da08db6b9b17 1638110 libncurses5-dbg_5.6+20080823-1_i386.deb
 8c92f2bcf797802670f89ca2027a2d1448f1f62105eac07cba466d2556a9dd6b 355496 libncursesw5_5.6+20080823-1_i386.deb
 4f68352454c1dc672e64c4327f7488ad4069c49424d1da1abb34e817197366ad 473498 libncursesw5-dev_5.6+20080823-1_i386.deb
 07696b5522334901346e4fc9a32c08d8482c955f54e07477df8f236680f3fc5c 1849676 libncursesw5-dbg_5.6+20080823-1_i386.deb
 b97c48219d7372be6f9f57109c6af6624f72fc8bfebd80831f3f6d852b35ff1b 346238 lib64ncurses5_5.6+20080823-1_i386.deb
 f2e495bdf63cc71056897807781db1737eaa144a725508e49d51e962a1df18e2 413052 lib64ncurses5-dev_5.6+20080823-1_i386.deb
 68e8d734a9c98602b9ffd4d80c7a5e5578744375fe9b1965e70ddd09f230997e 134918 ncurses-bin_5.6+20080823-1_i386.deb
 53ebfc9ff10f72c320a05279b8ede3e169a2861131eacc57df47ccc16ffc15e4 13694 ncurses-base_5.6+20080823-1_all.deb
 02073c9b7b3268dbd6c93ec6deff2abd3b075a42b225519c9c01e653d7a3d66d 351346 ncurses-term_5.6+20080823-1_all.deb
Files: 
 3d07af076394a89515f5c2952d04f28e 1503 libs standard ncurses_5.6+20080823-1.dsc
 f5b423f065e59203c394236aa3cba8b7 2481139 libs standard ncurses_5.6+20080823.orig.tar.gz
 d7d63a1964228f319bb8a898ec05beda 38668 libs standard ncurses_5.6+20080823-1.diff.gz
 6e2fc4c318044b2c99c5d335f16c3cd3 332340 libs required libncurses5_5.6+20080823-1_i386.deb
 3ef4579e65330ba2e17ce6c57bfa23c7 1522092 libdevel optional libncurses5-dev_5.6+20080823-1_i386.deb
 8bec2e8454bffe8f1e8605ded0ee8f16 1638110 libdevel extra libncurses5-dbg_5.6+20080823-1_i386.deb
 f204876c8a71e268883f60a05ec67d1c 355496 libs important libncursesw5_5.6+20080823-1_i386.deb
 b4d54497ff175987888f9823f856d4fe 473498 libdevel optional libncursesw5-dev_5.6+20080823-1_i386.deb
 ebef4d387dee444a07cc444850ebf1b3 1849676 libdevel extra libncursesw5-dbg_5.6+20080823-1_i386.deb
 7313dc90bb25072491e3c951d213a192 346238 libs optional lib64ncurses5_5.6+20080823-1_i386.deb
 64d3e314db21073861d2d179e904039c 413052 libdevel optional lib64ncurses5-dev_5.6+20080823-1_i386.deb
 21aad7101f2e211ba4bcf8804652a7e1 134918 utils required ncurses-bin_5.6+20080823-1_i386.deb
 7b3b3c1d13401461c1caba590d47cdc2 13694 utils required ncurses-base_5.6+20080823-1_all.deb
 93a1c52d91e678b7a43846715804cac8 351346 admin standard ncurses-term_5.6+20080823-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkix9MkACgkQ+C5cwEsrK56ZUwCfeDEFCCUTgta5WmH4LV8fGZD2
72YAoJrjNHOHjN52RuenBZiSv39ngG2e
=W+Yy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Sep 2008 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:29:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.